image: nikazhenya/pecas

pages:
  stage: deploy
  script:
    # Genera carpeta temporal que será la carpeta disponible públicamente
    - mkdir public/
    # Obtienen la información sobre el sistema y la guarda en un log
    - cp index.html public/ && cd public/
    - printf "\n# neofetch\n" >> log.txt
    - neofetch | sed 's/\x1B\[[0-9;\?]*[a-zA-Z]//g' >> log.txt
    - printf "\n# uname -a\n" >> log.txt
    - uname -a >> log.txt
    - printf "\n# apt list --installed\n" >> log.txt
    - apt list --installed >> log.txt
    - printf "\n# ls /sbin\n" >> log.txt
    - ls /sbin >> log.txt
    - printf "\n# ls /bin\n" >> log.txt
    - ls /bin >> log.txt
    - printf "\n# ls /usr/bin\n" >> log.txt
    - ls /usr/bin >> log.txt
    - printf "\n# ls /usr/local/bin\n" >> log.txt
    - ls /usr/local/bin >> log.txt
    - printf "\n# tlmgr list --only-installed\n" >> log.txt
    - tlmgr list --only-installed >> log.txt
    - printf "\n# ruby --version\n" >> log.txt
    - ruby --version >> log.txt
    - printf "\n# gem list\n" >> log.txt
    - gem list >> log.txt
    - printf "\n# kindlegen\n" >> log.txt
    - kindlegen >> log.txt
    - printf "\n# texti\n" >> log.txt
    - texti >> log.txt
    - printf "\n# pc-doctor\n" >> log.txt
    - pc-doctor >> log.txt
    # Prueba con un pad
    - mkdir pad && cd pad && wget $PATH_URL -O pad.md
    - pandoc pad.md -s -o index.html 
    - pandoc pad.md -o pad.pdf 
    - pandoc pad.md -o pad.epub 
    - pandoc pad.md -o pad.docx 
    #- kindlegen pad.epub # Arroja advertencias que hacen fallar al pipeline; con un EPUB sin ambigüedades, debería funcionar 
  artifacts:
    paths:
      - public
  only:
    - master
